function RES=middleSquare(ARG)
% Нахождение среднего квадратического значения ряда (по строкам)
% Вход  : ARG - ряд или матрица
% Выход : RES - значение или столбик значений, рассчитанных для строк
% Зависимость : нет

[m,n]=size(ARG);

ARG=ARG.*ARG;
for i=1:m
    RES(i,1)=sqrt(sum(ARG(i,:))/n);
end